-- "Marble Skeleton" is a modified Skeleton Warrior from Legend of Grimrock
-- All original models, textures etc. used are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.0 created by Daniv
-- Last updated 17th March 2013



defineObject{
   name = "marble_skeleton_warrior",
   class = "Monster",
   model = "mod_assets/models/marble_skeleton/marble_skeleton_warrior.fbx",
   meshName = "skeleton_warrior_mesh",
   animations = {
      idle = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_idle.fbx",
      moveForward = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_walk.fbx",
      turnLeft = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_turn_left.fbx",
      turnRight = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_turn_right.fbx",
      attack = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_attack.fbx",
      attackBack = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_attack_back.fbx",
      getHitFrontLeft = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_get_hit_front_left.fbx",
      getHitFrontRight = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_get_hit_front_right.fbx",
      getHitBack = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_get_hit_back.fbx",
      getHitLeft = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_get_hit_left.fbx",
      getHitRight = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_get_hit_right.fbx",
      fall = "assets/animations/monsters/skeleton_warrior/skeleton_warrior_get_hit_front_left.fbx",
      },
   moveSound = "skeleton_walk",
   footstepSound = "wall_sliding_lock",
   attackSound = "skeleton_attack",
   hitSound = "skeleton_hit",
   dieSound = "goromorg_die",
   hitEffect = "hit_dust",
   capsuleHeight = 0.7,
   capsuleRadius = 0.25,
   collisionRadius = 0.6,
   health = 120,
   sight = 4,
   attackPower = 9,
   accuracy = 10,
   protection = 5,
   immunities = { "poison" },
   movementCoolDown = 2,
   noRecoilInterval = { 0.25, 0.5 },
   exp = 90,
   healthIncrement = 15,
   attackPowerIncrement = 5,
   protectionIncrement = 1,
   brain = "Melee",
   }

defineMaterial{
   name = "marble_skeleton_warrior",
   diffuseMap = "assets/textures/env/marble_generic_dif.tga",
   specularMap = "mod_assets/textures/marble_skeleton/marble_skeleton_warrior_spec.tga",
   normalMap = "assets/textures/monsters/skeleton_warrior_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }

defineMaterial{
   name = "marble_skeleton_warrior_weapons",
   diffuseMap = "assets/textures/env/marble_generic_dif.tga",
   specularMap = "mod_assets/textures/marble_skeleton/marble_skeleton_warrior_weapons_spec.tga",
   normalMap = "assets/textures/monsters/skeleton_warrior_weapons_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }
